org.apache.sysds.runtime.instructions.spark.data

## Class LineageObject

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.data.LineageObject

Direct Known Subclasses:
  BroadcastObject, DatasetObject, RDDObject

    public abstract class LineageObject
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addLineageChild(LineageObject lob)`
`void` `decrementNumReferences()`
`List<LineageObject>` `getLineageChilds()`
`int` `getNumReferences()`
`boolean` `hasBackReference()`
`void` `incrementNumReferences()`
`void` `setBackReference(CacheableData<?> cd)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getNumReferences

    public int getNumReferences()

#### setBackReference

    public void setBackReference(CacheableData<?> cd)

#### hasBackReference

    public boolean hasBackReference()

#### incrementNumReferences

    public void incrementNumReferences()

#### decrementNumReferences

    public void decrementNumReferences()

#### getLineageChilds

    public List<LineageObject> getLineageChilds()

#### addLineageChild

    public void addLineageChild(LineageObject lob)